package com.ynet.life.sujrb.file;

import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.Trace;
import java.math.BigDecimal;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_file.jar:com/ynet/life/sujrb/file/TransferRecord.class */
public class TransferRecord implements RecordInterface {
    private String orgCode;
    private String companyName;
    private String usedAmt;
    private String insurAmt;
    private String idelAmt;

    public String getOrgCode() {
        return this.orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getCompanyName() {
        return this.companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getUsedAmt() {
        return this.usedAmt;
    }

    public void setUsedAmt(String usedAmt) {
        this.usedAmt = usedAmt;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public void initFromMap(Map input) {
        try {
            this.orgCode = (String) input.get(FileConstants.LIST_ACCBILL_DETAIL_ORGCODE);
            this.companyName = (String) input.get(FileConstants.LIST_ACCBILL_DETAIL_COMPANYNAME);
            this.usedAmt = (String) input.get(FileConstants.LIST_ACCBILL_DETAIL_USEDAMT);
            this.insurAmt = (String) input.get(FileConstants.LIST_ACCBILL_DETAIL_INSURAMT);
            this.idelAmt = (String) input.get(FileConstants.LIST_ACCBILL_DETAIL_IDELAMT);
        } catch (Exception ex) {
            Trace.logError("LifeFile", "LifeFile异常", ex);
        }
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public KeyedCollection toKeyedCollection() {
        KeyedCollection result = new KeyedCollection();
        result.put(FileConstants.LIST_ACCBILL_DETAIL_ORGCODE, this.orgCode);
        result.put(FileConstants.LIST_ACCBILL_DETAIL_COMPANYNAME, this.companyName);
        result.put(FileConstants.LIST_ACCBILL_DETAIL_USEDAMT, this.usedAmt);
        result.put(FileConstants.LIST_ACCBILL_DETAIL_INSURAMT, this.insurAmt);
        result.put(FileConstants.LIST_ACCBILL_DETAIL_IDELAMT, this.idelAmt);
        return result;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public BigDecimal getAmount() {
        return null;
    }

    public String getInsurAmt() {
        return this.insurAmt;
    }

    public void setInsurAmt(String insurAmt) {
        this.insurAmt = insurAmt;
    }

    public String getIdelAmt() {
        return this.idelAmt;
    }

    public void setIdelAmt(String idelAmt) {
        this.idelAmt = idelAmt;
    }
}
